//Krb4CacheTest.java


import java.io.*;
import krb4.lib.*;

public class Krb4CacheTest {

	public static void main(String[] args) throws IOException {
		try {
			//make sure ticket file "tkt2" is empty

			//read ticket file "tkt2"
			Krb4CredsCache cc = new Krb4TicketFile("c:\\kerberos\\tkt2",
				"ns10-demo", "", "CIT.CORNELL.EDU", true);

			//print entire ticket file
			cc.print();

			System.out.println("------");

			//search for a specific entry
			Krb4Creds creds = cc.read("krbtgt", "CIT.CORNELL.EDU",
				"CIT.CORNELL.EDU");

			//if found, delete the cache and exit--rerun test
			if (creds != null) {
				//print entry
				creds.print();
				
				//destroy cache
				cc.destroy();
				return;
			}

			//use entries from ticket file "tkt1" to create "tkt2"

			//read ticket file "tkt1"
			Krb4CredsCache cc2 = new Krb4TicketFile("c:\\kerberos\\tkt1",
				"ns10-demo", "", "CIT.CORNELL.EDU", true);

			//search for a specific entry
			Krb4Creds creds2 = cc2.read("krbtgt", "CIT.CORNELL.EDU",
				"CIT.CORNELL.EDU");
			
			//if found, add three more copies
			if (creds2 != null) {
				cc.write(creds2);
				cc.write(creds2);
				cc.write(creds2);
			}

			//print entire ticket file
			cc.print();

			System.out.println("------");

			//search for a specific entry
			Krb4Creds creds3 = cc.read("krbtgt", "CIT.CORNELL.EDU",
				"CIT.CORNELL.EDU");

			//if found, print entry
			if (creds3 != null) {
				creds3.print();
			}

		} catch(Krb4Exception e) {
			System.out.println(e.krbErrorMessage());
		} catch(Exception e) {
			System.out.println(e);
		}
	}

}