// Copyright 1997 The Open Group Research Institute.  All rights reserved.

package krb5.lib;

import java.util.BitSet;

/**
 * Authentication context
 */
public class AuthContext {

	/**
	 * Remote address
	 */
    public HostAddress remoteAddress;

	/**
	 * Remote port
	 */
    public int remotePort;

	/**
	 * Local address
	 */
    public HostAddress localAddress;

	/**
	 * Local port
	 */
    public int localPort;

	/**
	 * Key block
	 */
    public EncryptionKey keyBlock;

	/**
	 * Local subject key
	 */
    public EncryptionKey localSubkey;

	/**
	 * Remote subject key
	 */
    public EncryptionKey remoteSubkey;

	/**
	 * Authentication context flags
	 */
    public BitSet authContextFlags;

	/**
	 * Remote sequence number
	 */
    public int remoteSeqNumber;

	/**
	 * Local sequence number
	 */
    public int localSeqNumber;

	/**
	 * Authenticator
	 */
    public Authenticator authenticator;

	/**
	 * Request checksum type
	 */
    public int reqCksumType;

	/**
	 * Safe checksum type
	 */
    public int safeCksumType;

	/**
	 * Initialization vector
	 */
    public byte[] initializationVector;
    //public ReplayCache replayCache;
}
