// Copyright 1997 The Open Group Research Institute.  All rights reserved.

package krb5.lib;

import krb5.lib.ccache.*;

/**
 * Initial Authentication Response
 */
public class KrbAsRep {
    
    /**
	 * Input buffer
	 */    
	byte[] ibuf;
	
	/**
	 * List of credentials
	 */	
	Credentials creds;

	/**
	 * Class constructor specifying buffer and list of credentials
	 *
	 * @param new_ibuf is of type byte[]
	 * @param new_creds is of type KrbCreds
	 * @see krb5.lib.KrbCreds
	 */
	KrbAsRep(
		byte[] new_ibuf,
		Credentials new_creds
	) {
		ibuf = new_ibuf;
		creds = new_creds;
	}

	/**
	 * Returns credentials
	 *
	 * @return KrbCreds is a result
	 * @see krb5.lib.KrbCreds
	 */
	public Credentials creds() {
		return creds;
	}
}
