// Copyright 1997 The Open Group Research Institute.  All rights reserved.

package krb5.lib;

/**
 * Kerberos Credentials
 */
public class KrbCreds {
    
 	/**
	 * Ticket
	 * @see krb5.lib.Ticket
	 */   
	public Ticket ticket;
	
	/**
	 * Client information
	 * @see krb5.lib.PrincipalName
	 */	
	public PrincipalName client;
	
	/**
	 * Server information
	 * @see krb5.lib.PrincipalName
	 */	
	public PrincipalName server;
	
	/**
	 * Key information
	 * @see krb5.lib.EncryptionKey
	 */	
	public EncryptionKey key;


	/**
	 * Class constructor
	 *
	 * @param new_ticket is of type Ticket
	 * @param new_client is of type PrincipalName
	 * @param new_server is of type PrincipalName
	 * @param new_key is of type EncryptionKey
	 * @see krb5.lib.Ticket
	 * @see krb5.lib.PrincipalName
	 * @see krb5.lib.EncryptionKey
	 */
	public KrbCreds(
		Ticket new_ticket,
		PrincipalName new_client,
		PrincipalName new_server,
		EncryptionKey new_key
	) {
		ticket = new_ticket;
		client = new_client;
		server = new_server;
		key = new_key;
	}
}

