// Copyright 1997 The Open Group Research Institute.  All rights reserved.

package krb5.lib;

import krb5.lib.ccache.*;

/**
 * Kerberos Ticket Granted Service Response
 */
public class KrbTgsRep {

	/**
	 * Input buffer
	 */    
	byte[] ibuf;
	
	/**
	 * Credentials
	 * @see krb5.lib.KrbCreds
	 */	
	Credentials creds;

	/**
	 * Class constructor
	 *
	 * @param new_ibuf is of type byte[]
	 * @param new_creds is of type Credentials
	 * @see krb5.lib.Credentials
	 */
	KrbTgsRep(
		byte[] new_ibuf,
		Credentials new_creds
	) {
		ibuf = new_ibuf;
		creds = new_creds;
	}

	/**
	 * Returns the credentials
	 *
	 * @return Credentials is a result
	 * @see krb5.lib.Credentials
	 */
	public Credentials creds() {
		return creds;
	}
}
