// Copyright 1997 The Open Group Research Institute.  All rights reserved.

package krb5.lib;

/**
 * Sequence number 
 */
public interface SeqNumber {

	/**
	 * Random initialization
	 */
	public void randInit();

	/**
	 * Returns current value
	 *
	 * @return int is a result
	 */
	public int current();

	/**
	 * Returns next value
	 *
	 * @return int is a result
	 */
	public int next();

	/**
	 * Increments by 1 and returns the value
	 *
	 * @return int is a result
	 */
	public int step();
}