// Copyright 1997 The Open Group Research Institute.  All rights reserved.
// Copyright 1999 Memesoft.  All rights reserved.

package krb5.lib.ccache;

/**
 * Credentials Filter
 */
public interface CredentialsFilter {
    // Given a Credential, returns true or false depending on
    // whether the credential is selected or rejected according
    // to the selection criteria of the object that implements
    // the CredentialsFilter interface

	/**
	 * Filters the credentials
	 *
	 * @return boolean is a result
	 * @param cred is of type Credentials
	 * @see krb5.lib.ccache.Credentials
	 */
    boolean filter(Credentials cred);
}