// Copyright 1997 The Open Group Research Institute.  All rights reserved.
// Copyright 1999 Memesoft.  All rights reserved.

package krb5.lib.ccache;

import krb5.lib.*;

/**
 * Match service credentials filter
 */
public class MatchServiceCredsFilter implements CredentialsFilter {

	/**
	 * Principal name
	 */
    PrincipalName principalName;

	/**
	 * Class constructor
	 *
	 * @param name is of type PrincipalName
	 * @see krb5.lib.PrincipalName
	 */
    public MatchServiceCredsFilter(PrincipalName name) {
        principalName = (PrincipalName)name.clone();
    }

	/**
	 * Filters the credentials
	 *
	 * @return boolean is a result
	 * @param c is of type Credentials
	 * @see krb5.lib.ccache.Credentials
	 */
    public boolean filter(Credentials c) {
        return principalName.equalsWithoutRealm(c.sname) &&
            principalName.getRealm().equals(c.srealm);
    }
}