// Copyright 1997 The Open Group Research Institute.  All rights reserved.

package krb5.lib.crypto;

import krb5.lib.*;

public class Crc32CksumType extends CksumType {

	public Crc32CksumType() {
	}

	public int confounderSize() {
		return 0;
	}

	public int cksumType() {
		return Krb5.CKSUMTYPE_CRC32;
	}

	public boolean isSafe() {
		return false;
	}

	public int cksumSize() {
		return 4;
	}

	public int keyType() {
		return Krb5.KEYTYPE_NULL;
	}

	public int keySize() {
		return 0;
	}

	public byte[] calculateChecksum(byte[] data, int size) {
		return crc32.byte2crc32sum_bytes(data, size);
	}

	public byte[] calculateKeyedChecksum(byte[] data, int size,
		byte[] key) {
		return null;
	}

	public boolean verifyKeyedChecksum(byte[] data, int size,
		byte[] key, byte[] checksum) {
		return false;
	}

}
