// Copyright 1997 The Open Group Research Institute.  All rights reserved.

package krb5.lib.crypto;

import krb5.lib.*;

public class DesCbcMd5EType extends DesCbcEType {

	public DesCbcMd5EType() {
	}

	public int eType() {
		return Krb5.ETYPE_DES_CBC_MD5;
	}

	public int minimumPadSize() {
		return 0;
	}

	public int confounderSize() {
		return 8;
	}

	public int checksumType() {
		return Krb5.CKSUMTYPE_RSA_MD5;
	}

	public int checksumSize() {
		return 16;
	}

	public byte[] calculateChecksum(byte[] data, int size) {
		MD5 md5 = new MD5();
		md5.Update(data, size);
		return md5.Final();
	}

}

