// Copyright 1997 The Open Group Research Institute.  All rights reserved.

package krb5.lib.crypto;

import krb5.lib.*;

public class RsaMd5CksumType extends CksumType {

	public RsaMd5CksumType() {
	}

	public int confounderSize() {
		return 0;
	}

	public int cksumType() {
		return Krb5.CKSUMTYPE_RSA_MD5;
	}

	public boolean isSafe() {
		return false;
	}

	public int cksumSize() {
		return 16;
	}

	public int keyType() {
		return Krb5.KEYTYPE_NULL;
	}

	public int keySize() {
		return 0;
	}

	public byte[] calculateChecksum(byte[] data, int size) {
		MD5 md5 = new MD5();
		md5.Update(data, size);
		return md5.Final();
	}

	public byte[] calculateKeyedChecksum(byte[] data, int size,
		byte[] key) {
		return null;
	}

	public boolean verifyKeyedChecksum(byte[] data, int size,
		byte[] key, byte[] checksum) {
		return false;
	}

}
