// Copyright 1997 The Open Group Research Institute.  All rights reserved.
// Copyright 1999 Memesoft.  All rights reserved.

package krb5.lib.rcache;

import krb5.lib.*;

/**
 * Replay cache
 */
public interface ReplayCache {

	/**
	 * Found for the given criteria
	 *
	 * @return boolean is a result
	 * @param sname is of type PrincipalName
	 * @param srealm is of type Realm
	 * @param authenticator is of type Authenticator
	 * @see krb5.lib.PrincipalName
	 * @see krb5.lib.Realm
	 * @see krb5.lib.Authenticator
	 */
    boolean found(PrincipalName sname, Realm srealm, Authenticator authenticator);

	/**
	 * Saves for the given information
	 *
	 * @param sname is of type PrincipalName
	 * @param srealm is of type Realm
	 * @param authenticator is of type Authenticator
	 * @see krb5.lib.PrincipalName
	 * @see krb5.lib.Realm
	 * @see krb5.lib.Authenticator
	 */
    void save(PrincipalName sname, Realm srealm, Authenticator authenticator);
}